import { EventEmitter } from '../../stencil-public-runtime';
import { LocationSegments, RouterHistory } from '@stencil/router';
import { ICourse } from '../../models';
export declare class SparkleCourseRoot {
  history: RouterHistory | null;
  private tocPath;
  private quizPath;
  private config;
  isMenuToggled: boolean;
  tocData: ICourse;
  setHistory: ({ history }: {
    history: RouterHistory;
  }) => void;
  pageChanged: EventEmitter;
  newPage(location: LocationSegments): void;
  lockScroll(isMenuToggled: boolean): void;
  componentWillLoad(): Promise<void>;
  toggleMenu: () => void;
  handlePageClick: () => void;
  isSmallViewport(): boolean;
  toggleStudentSidebar(): Promise<void>;
  renderPage(path: "login" | "signup" | "forgot-password" | "home/my-mood" | "home/my-health" | "home/my-goals" | "home/great-white-wall"): any;
  renderPrivatePage(path: "profile" | "enrollment"): any;
  renderHeaderAndMenu(): any[];
  renderHeader(): any[];
  signout(): void;
  renderLogo(): any;
  render(): any;
}
